DNF5-SYSTEM-UPGRADE(8)

NAME
dnf5-system-upgrade - System-Upgrade Command

SYNOPSIS

dnf5 system-upgrade <subcommand> [options]

DESCRIPTION

The system-upgrade command is used to upgrade the system to a new major release. First, the download subcommand downloads packages while the system is running normally. Then, the reboot subcommand reboots the system into a minimal "offline" environment to apply the upgrades.

dnf5 system-upgrade is a recommended way to upgrade a system to a new major release. Before you proceed, ensure that your system is fully upgraded (dnf5 --refresh upgrade).

system-upgrade shares many subcommands with the offline subcommand <#offline-command-ref-label>.

SUBCOMMANDS

    clean
        See dnf5-offline(8), Offline command <#offline-command-ref-label>

    download
        Downloads all packages needed to upgrade to a new major release and checks that they can be installed.

    log
        See dnf5-offline(8), Offline command <#offline-command-ref-label>

    reboot
        See dnf5-offline(8), Offline command <#offline-command-ref-label>

OPTIONS

    --releasever=<version>
        Required. The version to upgrade to. Sets $releasever in all enabled repos. Usually a number, or rawhide.

    --no-downgrade
        Behave like dnf5 update: do not install packages from the new release if they are older than what is currently installed. This is the opposite of the default behavior, which behaves like dnf5 distro-sync, always installing packages from the new release, even if they are older than the currently-installed version.

    --allowerasing
        Allow removing of installed packages to resolve any potential dependency problems.

    --number=<boot number>
        See dnf5-offline(8), Offline command <#offline-command-ref-label>

    --poweroff
        See dnf5-offline(8), Offline command <#offline-command-ref-label>

ENVIRONMENT

See dnf5-offline(8), Offline command <#offline-command-ref-label>.

EXAMPLES

  Typical upgrade usage

dnf5 --refresh upgrade

dnf5 system-upgrade download --releasever 40

dnf5 system-upgrade reboot

  Show logs from last upgrade attempt

dnf5 system-upgrade log --number=-1

SEE ALSO
        dnf5-offline(8), Offline command <#offline-command-ref-label>
        <https://www.freedesktop.org/wiki/Software/systemd/SystemUpdates>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.